<?php 
/**
 * CakePHP Patch: Extending CakePHP's CacheHelper to use Cache Engines
 * http://www.datumbox.com/
 *
 * Copyright 2013, Vasilis Vryniotis
 * Licensed under MIT or GPLv3, see LICENSE
 */
 
//In /app/Config/bootstrap.php we add the new cache dispatcher and the view cache configuration
//=============================================================================================

Configure::write('Dispatcher.filters', array(
    'AssetDispatcher',
    //'CacheDispatcher', //Comment out the default one
    'MyCacheDispatcher' //Use the new Dispatcher
));


//This is where you place your cache configuration for the views
Cache::config('_cake_views_', array(
    'engine' => $engine,
    'prefix' => $prefix . 'cake_views_',
    'path' => CACHE . 'views' . DS,
    'serialize' => ($engine === 'File'),
    'duration' => $duration
));